# Class TGetSchemasResp

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TGetSchemasResp

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TGetSchemasResp>`, `org.apache.thrift.TBase<TGetSchemasResp,TGetSchemasResp._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TGetSchemasResp extends Object implements org.apache.thrift.TBase<TGetSchemasResp,TGetSchemasResp._Fields>, Serializable, Cloneable, Comparable<TGetSchemasResp>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TGetSchemasResp._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`TSparkDirectResults`
`directResults`
`static final Map<TGetSchemasResp._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`TOperationHandle`
`operationHandle`
`TStatus`
`status`

## Constructor Summary

Constructors
Constructor
Description
`TGetSchemasResp()`
`TGetSchemasResp(TGetSchemasResp other)`
Performs a deep copy on other.
`TGetSchemasResp(TStatus status)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`int`
`compareTo(TGetSchemasResp other)`
`TGetSchemasResp`
`deepCopy()`
`boolean`
`equals(TGetSchemasResp that)`
`boolean`
`equals(Object that)`
`TGetSchemasResp._Fields`
`fieldForId(int fieldId)`
`TSparkDirectResults`
`getDirectResults()`
`Object`
`getFieldValue(TGetSchemasResp._Fields field)`
`TOperationHandle`
`getOperationHandle()`
`TStatus`
`getStatus()`
`int`
`hashCode()`
`boolean`
`isSet(TGetSchemasResp._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetDirectResults()`
Returns true if field directResults is set (has been assigned a value) and false otherwise
`boolean`
`isSetOperationHandle()`
Returns true if field operationHandle is set (has been assigned a value) and false otherwise
`boolean`
`isSetStatus()`
Returns true if field status is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`TGetSchemasResp`
`setDirectResults(TSparkDirectResults directResults)`
`void`
`setDirectResultsIsSet(boolean value)`
`void`
`setFieldValue(TGetSchemasResp._Fields field, Object value)`
`TGetSchemasResp`
`setOperationHandle(TOperationHandle operationHandle)`
`void`
`setOperationHandleIsSet(boolean value)`
`TGetSchemasResp`
`setStatus(TStatus status)`
`void`
`setStatusIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetDirectResults()`
`void`
`unsetOperationHandle()`
`void`
`unsetStatus()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### status

public TStatus status

### operationHandle

public TOperationHandle operationHandle

### directResults

public TSparkDirectResults directResults

### metaDataMap

public static final Map<TGetSchemasResp._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TGetSchemasResp

public TGetSchemasResp()

### TGetSchemasResp

public TGetSchemasResp(TStatus status)

### TGetSchemasResp

public TGetSchemasResp(TGetSchemasResp other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TGetSchemasResp deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TGetSchemasResp,TGetSchemasResp._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TGetSchemasResp,TGetSchemasResp._Fields>`

### getStatus

public TStatus getStatus()

### setStatus

public TGetSchemasResp setStatus(TStatus status)

### unsetStatus

public void unsetStatus()

### isSetStatus

public boolean isSetStatus()
Returns true if field status is set (has been assigned a value) and false otherwise

### setStatusIsSet

public void setStatusIsSet(boolean value)

### getOperationHandle

public TOperationHandle getOperationHandle()

### setOperationHandle

public TGetSchemasResp setOperationHandle(TOperationHandle operationHandle)

### unsetOperationHandle

public void unsetOperationHandle()

### isSetOperationHandle

public boolean isSetOperationHandle()
Returns true if field operationHandle is set (has been assigned a value) and false otherwise

### setOperationHandleIsSet

public void setOperationHandleIsSet(boolean value)

### getDirectResults

public TSparkDirectResults getDirectResults()

### setDirectResults

public TGetSchemasResp setDirectResults(TSparkDirectResults directResults)

### unsetDirectResults

public void unsetDirectResults()

### isSetDirectResults

public boolean isSetDirectResults()
Returns true if field directResults is set (has been assigned a value) and false otherwise

### setDirectResultsIsSet

public void setDirectResultsIsSet(boolean value)

### setFieldValue

public void setFieldValue(TGetSchemasResp._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TGetSchemasResp,TGetSchemasResp._Fields>`

### getFieldValue

public Object getFieldValue(TGetSchemasResp._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TGetSchemasResp,TGetSchemasResp._Fields>`

### isSet

public boolean isSet(TGetSchemasResp._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TGetSchemasResp,TGetSchemasResp._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TGetSchemasResp that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TGetSchemasResp other)

Specified by:
  `compareTo` in interface `Comparable<TGetSchemasResp>`

### fieldForId

public TGetSchemasResp._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TGetSchemasResp,TGetSchemasResp._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`